#include "IntSemanticHandler.h"

IntSemanticHandler::IntSemanticHandler(const std::string& inName, int* inValue)
	: BaseSemanticHandler(inName)
	, Value(inValue)
{
}


IntSemanticHandler::~IntSemanticHandler()
{
}

void IntSemanticHandler::OnHandle(IShader* inShader, IShaderParameter* inParameter)
{
	inParameter->set_Int(*Value);
}
///////////////////////////////////////

IntArraySemanticHandler::IntArraySemanticHandler(const std::string& inName, std::vector<int>* inValue)
	: BaseSemanticHandler(inName)
	, Value(inValue)
{
}


IntArraySemanticHandler::~IntArraySemanticHandler()
{
}

void IntArraySemanticHandler::OnHandle(IShader* inShader, IShaderParameter* inParameter)
{
	inParameter->set_IntArray(*Value);
}
///////////////////////////////////////